Description

It seems that Win32 version of IDE draws unwanted separator in toolbar. What makes this issue? "Check for updates" option in "Setup" is

only available on POSIX.

So we should add additional preprocessor directive in IDE::MainTool(Bar& bar):

void Ide::MainTool(Bar& bar)

{

    Edit(bar);

    if(debugger) {

        if(!designer)

            bar.Separator();

        DebugMenu(bar);

    }

    if(!designer)

        bar.Separator();

    Project(bar);

    BuildMenu(bar);

    if(!debugger) {

        bar.Separator();

        DebugMenu(bar);

    #ifdef PLATFORM_POSIX

        bar.Separator();

    #endif

    }

    else {

    #ifdef PLATFORM_POSIX

        bar.Separator();

    #endif

    }

    Setup(bar);

    BrowseMenu(bar);

}

Related issues:

Precedes Bug # 625: Console menu bar shoulde use standard copy and paste icon. Approved 01/04/2014

History

#1 - 12/29/2013 03:01 PM - Zbigniew Rebacz

- File deleted (idebar.cpp)

#2 - 12/29/2013 03:04 PM - Zbigniew Rebacz
- File idebar.cpp added

I have found better and easier solution. Can you Mirek check uploaded source file???

#3 - 01/06/2014 04:42 PM - Miroslav Fidler

- Status changed from New to Approved

Files

idebar.cpp 20.8 KB 12/29/2013 Zbigniew Rebacz
